<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/model/server/list_broadcasts_filter.proto

namespace Tellie\Epg\Model\Server;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.model.server.ListBroadcastsFilter</code>
 */
class ListBroadcastsFilter extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp start = 1;</code>
     */
    protected $start = null;
    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp end = 2;</code>
     */
    protected $end = null;
    /**
     * Generated from protobuf field <code>repeated string channel_ids = 3;</code>
     */
    private $channel_ids;
    /**
     * Generated from protobuf field <code>int32 page_size = 4;</code>
     */
    protected $page_size = 0;
    /**
     * Generated from protobuf field <code>string offset_id = 5;</code>
     */
    protected $offset_id = '';

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type \Google\Protobuf\Timestamp $start
     *     @type \Google\Protobuf\Timestamp $end
     *     @type array<string>|\Google\Protobuf\Internal\RepeatedField $channel_ids
     *     @type int $page_size
     *     @type string $offset_id
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Model\Server\ListBroadcastsFilter::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp start = 1;</code>
     * @return \Google\Protobuf\Timestamp|null
     */
    public function getStart()
    {
        return $this->start;
    }

    public function hasStart()
    {
        return isset($this->start);
    }

    public function clearStart()
    {
        unset($this->start);
    }

    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp start = 1;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setStart($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->start = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp end = 2;</code>
     * @return \Google\Protobuf\Timestamp|null
     */
    public function getEnd()
    {
        return $this->end;
    }

    public function hasEnd()
    {
        return isset($this->end);
    }

    public function clearEnd()
    {
        unset($this->end);
    }

    /**
     * Generated from protobuf field <code>.google.protobuf.Timestamp end = 2;</code>
     * @param \Google\Protobuf\Timestamp $var
     * @return $this
     */
    public function setEnd($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Timestamp::class);
        $this->end = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>repeated string channel_ids = 3;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getChannelIds()
    {
        return $this->channel_ids;
    }

    /**
     * Generated from protobuf field <code>repeated string channel_ids = 3;</code>
     * @param array<string>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setChannelIds($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->channel_ids = $arr;

        return $this;
    }

    /**
     * Generated from protobuf field <code>int32 page_size = 4;</code>
     * @return int
     */
    public function getPageSize()
    {
        return $this->page_size;
    }

    /**
     * Generated from protobuf field <code>int32 page_size = 4;</code>
     * @param int $var
     * @return $this
     */
    public function setPageSize($var)
    {
        GPBUtil::checkInt32($var);
        $this->page_size = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>string offset_id = 5;</code>
     * @return string
     */
    public function getOffsetId()
    {
        return $this->offset_id;
    }

    /**
     * Generated from protobuf field <code>string offset_id = 5;</code>
     * @param string $var
     * @return $this
     */
    public function setOffsetId($var)
    {
        GPBUtil::checkString($var, True);
        $this->offset_id = $var;

        return $this;
    }

}

